System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

You can specify this attribute for multiple members, typically properties, on a control.

If a property has been marked with the set to true, then a property change notification should be raised for that property. This means that if the property is , then two-way data binding is supported. If is , you can still bind to the property, but it should not be shown in the default set of properties to bind to, because it might or might not raise a property change notification.

When you mark a property with set to true, the value of this attribute is set to the constant member . For a property marked with the set to false, the value is . Therefore, to check the value of this attribute in your code, you must specify the attribute as or .

You can use this attribute at design time only. Nothing prevents you from binding to any property during run time.

For more information, see Extending Metadata Using Attributes.

Specifies whether a member is typically used for binding. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  When you mark a property with the set to true, the value of this attribute is set to the constant member . For a property marked with the set to false, the value is . Therefore, to check the value of this attribute in your code, you must specify the attribute as or .

  Initializes a new instance of the class with a Boolean value.

  true to use property for binding; otherwise, false.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  When you mark a property with the set to true, the value of this attribute is set to the constant member . For a property marked with the set to false, the value is . Therefore, to check the value of this attribute in your code, you must specify the attribute as or .

  Initializes a new instance of the class with one of the values.

  One of the values.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  true to use property for binding; otherwise, false.
  One of the values.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  One of the values.
  One of the values.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating that a property is typically used for binding.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.BindableAttribute

  When you mark a property with this value, the is set to the constant member . Therefore, when you want to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies the default value for the , which is . This field is read-only.

- Property
  2.0.0.0
  4.0.0.0
  System.ComponentModel.BindingDirection To be added. To be added.

  Gets a value indicating the direction or directions of this property's data binding.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Determines whether two objects are equal.

  true if the specified is equal to the current ; false if it is not equal.

  The object to compare.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Serves as a hash function for the class.

  A hash code for the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Determines if this attribute is the default.

  true if the attribute is the default value for this attribute class; otherwise, false.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.BindableAttribute

  The field is the default setting for the .

  When you mark a property with the constructor of the value false, the value of this attribute is set to the constant member . Therefore, to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies that a property is not typically used for binding. This field is read-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.BindableAttribute

  When you mark a property with the constructor of the value true, the value of the is set to the constant member . Therefore, to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies that a property is typically used for binding. This field is read-only.